Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.batchindexing
Class BatchCoordinator

    java.lang.Object
      org.hibernate.search.batchindexing.BatchCoordinator

All Implemented Interfaces:
  java.lang.Runnable

    public class BatchCoordinator

extends java.lang.Object
implements java.lang.Runnable

Makes sure that several different BatchIndexingWorkspace(s) can be started concurrently, sharing the same batch-backend and IndexWriters.

Author:
  Sanne Grinovero

Constructor Summary
`BatchCoordinator(java.util.Set<java.lang.Class<?>> rootEntities, SearchFactoryImplementor searchFactoryImplementor, org.hibernate.SessionFactory sessionFactory, int objectLoadingThreads, int collectionLoadingThreads, org.hibernate.CacheMode cacheMode, int objectLoadingBatchSize, long objectsLimit, boolean optimizeAtEnd, boolean purgeAtStart, boolean optimizeAfterPurge, MassIndexerProgressMonitor monitor)`

Method Summary
`void` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BatchCoordinator

    public BatchCoordinator(java.util.Set<java.lang.Class<?>> rootEntities,
                            SearchFactoryImplementor searchFactoryImplementor,
                            org.hibernate.SessionFactory sessionFactory,
                            int objectLoadingThreads,
                            int collectionLoadingThreads,
                            org.hibernate.CacheMode cacheMode,
                            int objectLoadingBatchSize,
                            long objectsLimit,
                            boolean optimizeAtEnd,
                            boolean purgeAtStart,
                            boolean optimizeAfterPurge,
                            MassIndexerProgressMonitor monitor)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.